#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "aes.h"

static const unsigned char plain_text[] = "SSSSSSS{the_closer_you_look_the_less_you_actually_see}";
static unsigned char cypher_text[128];
static unsigned char decrypted_text[128];
//static unsigned char key[16] = {0x01, 0x02, 0x03, 0x04, 0x05, 0x06, 0x07, 0x08, 0x01, 0x02, 0x03, 0x04, 0x05, 0x06, 0x07, 0x08};
static unsigned char key[16] = "\xeb\x19\x48\x8b\x55\xe8\x48\x8b\x45\xf8\x48\x01\xd0\x0f\xb6\x00";


int main(void)
{
	size_t i;

	for (i = 0; i < sizeof(plain_text); i += sizeof(key)) {
		AES_ECB_encrypt(plain_text + i, key, cypher_text + i, sizeof(plain_text));
		AES_ECB_decrypt(cypher_text + i, key, decrypted_text + i, sizeof(plain_text));
	}

	printf("encrypted text: ");
	for (i = 0; i < sizeof(plain_text); i++)
		printf("\\x%02x", cypher_text[i]);
	printf("\n");
	printf("decrypted text: %s\n", decrypted_text);
	return 0;
}
